{% extends 'base.html' %}

{% load static %}

{% block content %}
<div class="container">
    <div class="row justify-content-center">
        <div class="col-lg-8">
            <h1 class="display-4 text-center">{{ project.title }}</h1>
            <div class="card mb-4">
                <div class="row no-gutters">
                    <div class="col-md-4">
                        <img src="{% static project.image %}" alt="{{ project.description }}" class="card-img">
                    </div>
                    <div class="col-md-8">
                        <div class="card-body">
                            <p class="card-text">{{ project.description }}</p>
                            <hr>
                            <h5 class="card-title">Technology</h5>
                            <p class="card-text">{{ project.technology }}</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
    .display-4 {
        margin-top: 30px;
        margin-bottom: 20px;
        font-weight: bold;
    }

    .card {
        border: none;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    }

    .card-img {
        width: 100%;
        height: auto;
        border-radius: 4px 0 0 4px;
    }

    .card-body {
        padding: 20px;
    }

    .card-title {
        font-size: 18px;
        font-weight: bold;
        margin-bottom: 10px;
    }

    .card-text {
        font-size: 16px;
        color: #555;
    }
</style>

{% endblock %}

